<div class="analysis-info">

    <div class="container-left container-finished">

        <div class="container-btn-round-state" tooltip-html-unsafe="Status: {{analysis.attributes.status}} <br>Run time: {{analysis.attributes.duration | secondsToTime}}<br>Progress: {{analysis.attributes.progress_pct}}% <br>{{analysis.attributes.progress_step}}">
            <div ng-switch="analysis.attributes.status">
                <span ng-switch-when="RUNNING">
                    <div style="margin-top: -4px;" ng-if="analysis.attributes.progress_pct">
                        <div round-progress
                             max="100"
                             current="analysis.attributes.progress_pct"
                             color="#18BC9C"
                             bgcolor="#eaeaea"
                             radius="22"
                             stroke="5"
                             rounded="true"
                             animation="easeInOutQuart">
                         </div>
                    </div>
                    <div style="margin-top: -4px;" ng-if="analysis.attributes.progress_pct == null">
                        <div round-progress
                             max="100"
                             current="100"
                             color="#3498DB"
                             bgcolor="#eaeaea"
                             radius="22"
                             stroke="5"
                             rounded="true"
                             animation="easeInOutQuart">
                         </div>
                    </div>
                </span>
                <span ng-switch-when="FAILED"> <i class="fa fa-times state-failed"></i></span>
                <span ng-switch-when="QCFAIL"><i class="fa fa-thumbs-down state-qcfail"></i></span>
                <span ng-switch-when="QCSTOP"><i class="fa fa-bolt state-qcstop"></i></span>
                <span ng-switch-when="COMPLETE"><i class="fa fa-check state-complete"></i></span>
                <span ng-switch-when="PENDING"><i class="fa fa-clock-o state-pending"></i></span>
                <span ng-switch-when="DEPENDENCIES"><i class="fa fa-exclamation state-dependencies"></i></span>
                <span ng-switch-when="INVALID"><i class="fa fa-exclamation state-invalid"></i></span>
            </div>
        </div>
    </div>
    <div class="container-right container-finished">
        <div class="container-btn-round-info" ng-click="viewLog()">
            <i style="font-size: 16px;" class="fa fa-gears"></i>
        </div>
    </div>
    <div class="container-middle container-finished">
        <div class="container-fluid">
            <div class="row">
                <div class="col-sm-9">
                    <div tooltip="#{{analysis.id}} {{analysis.attributes.name}}"
                          tooltip-popup-delay="500"
                          class="analysis-name">{{analysis.attributes.name | truncate:70:'...'}}</div>
                </div>
                <div class="col-sm-3 analysis-starttime">
                    <span tooltip="Insert/Start time"
                          tooltip-popup-delay="500">
                            <i class="fa fa-clock-o"></i> {{analysis.attributes.inserttime | dateInMillis | nonNaNDate:'dd/MM/yyyy HH:mm'}}</br>
                            <i class="fa fa-clock-o"></i> {{analysis.attributes.starttime | dateInMillis | nonNaNDate:'dd/MM/yyyy HH:mm'}}
                    </span>
                </div>

            </div>
        </div>


    </div>

</div>


<div class="clearfix"></div>
